package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.time.Instant;
import java.util.List;
import java.util.Objects;

/**
 * A DTO for the TBGuideline entity.
 */
public class GuidelineWrapperDTO implements Serializable {

    private TBGuidelineDTO guideline;

    private  List<TBGuidelineDetailsDTO> guidelineDetails;

    private List<TBGuidelinePeriodDTO> guidelinePeriods;

    public TBGuidelineDTO getGuideline() {
        return guideline;
    }

    public void setGuideline(TBGuidelineDTO guideline) {
        this.guideline = guideline;
    }

    public List<TBGuidelineDetailsDTO> getGuidelineDetails() {
        return guidelineDetails;
    }

    public void setGuidelineDetails(List<TBGuidelineDetailsDTO> guidelineDetails) {
        this.guidelineDetails = guidelineDetails;
    }

    public List<TBGuidelinePeriodDTO> getGuidelinePeriods() {
        return guidelinePeriods;
    }

    public void setGuidelinePeriods(List<TBGuidelinePeriodDTO> guidelinePeriods) {
        this.guidelinePeriods = guidelinePeriods;
    }
}
